<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="generator" content="Docutils 0.21.2: https://docutils.sourceforge.io/" />
<title>gpg</title>
<link rel="stylesheet" href="../style.css" type="text/css" />
</head>
<body>
<div class="document" id="gpg">
<span id="ext-gpg"></span>
<h1 class="title">gpg</h1>

<div class="contents htmlonly topic" id="contents">
<p class="topic-title"><a class="reference internal" href="#top">Contents</a></p>
<ul class="simple">
<li><a class="reference internal" href="#commands" id="toc-entry-1">Commands</a><ul>
<li><a class="reference internal" href="#signing-changes-gpg" id="toc-entry-2">Signing changes (GPG)</a></li>
</ul>
</li>
</ul>
</div>
<p>commands to sign and verify changesets</p>
<div class="section" id="commands">
<h1><a class="toc-backref" href="#contents">Commands</a></h1>
<div class="section" id="signing-changes-gpg">
<h2><a class="toc-backref" href="#contents">Signing changes (GPG)</a></h2>
<div class="section" id="sigcheck">
<h3>sigcheck</h3>
<p>verify all the signatures there may be for a particular revision:</p>
<pre class="literal-block">
hg sigcheck REV
</pre>
<p>verify all the signatures there may be for a particular revision</p>
</div>
<div class="section" id="sign">
<h3>sign</h3>
<p>add a signature for the current or given revision:</p>
<pre class="literal-block">
hg sign [OPTION]... [REV]...
</pre>
<p>If no revision is given, the parent of the working directory is used,
or tip if no revision is checked out.</p>
<p>The <tt class="docutils literal">gpg.cmd</tt> config setting can be used to specify the command
to run. A default key can be specified with <tt class="docutils literal">gpg.key</tt>.</p>
<p>See <a class="reference external" href="topic-dates.html"><tt class="docutils literal">hg help dates</tt></a> for a list of formats valid for -d/--date.</p>
<p>Options:</p>
<table class="docutils option-list" frame="void" rules="none">
<col class="option" />
<col class="description" />
<tbody valign="top">
<tr><td class="option-group">
<kbd><span class="option">-l</span>, <span class="option">--local</span></kbd></td>
<td>make the signature local</td></tr>
<tr><td class="option-group">
<kbd><span class="option">-f</span>, <span class="option">--force</span></kbd></td>
<td>sign even if the sigfile is modified</td></tr>
<tr><td class="option-group">
<kbd><span class="option">--no-commit</span></kbd></td>
<td>do not commit the sigfile after signing</td></tr>
<tr><td class="option-group">
<kbd><span class="option">-k</span>, <span class="option">--key <var>&lt;ID&gt;</var></span></kbd></td>
<td>the key id to sign with</td></tr>
<tr><td class="option-group" colspan="2">
<kbd><span class="option">-m</span>, <span class="option">--message <var>&lt;TEXT&gt;</var></span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>use text as commit message</td></tr>
<tr><td class="option-group">
<kbd><span class="option">-e</span>, <span class="option">--edit</span></kbd></td>
<td>invoke editor on commit messages</td></tr>
<tr><td class="option-group" colspan="2">
<kbd><span class="option">-d</span>, <span class="option">--date <var>&lt;DATE&gt;</var></span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>record the specified date as commit date</td></tr>
<tr><td class="option-group" colspan="2">
<kbd><span class="option">-u</span>, <span class="option">--user <var>&lt;USER&gt;</var></span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>record the specified user as committer</td></tr>
</tbody>
</table>
</div>
<div class="section" id="sigs">
<h3>sigs</h3>
<p>list signed changesets:</p>
<pre class="literal-block">
hg sigs
</pre>
<p>list signed changesets</p>
</div>
</div>
</div>
</div>
</body>
</html>
